package cz.utb.tadis.auth.http;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

public class RegistrationRequest extends UserRequest {

    @NotBlank
    @Pattern(regexp="^(?=.*[A-Z])(?=.*[0-9])(?=.*[a-z]).{8,}$")
    private String password;

    public RegistrationRequest(String email, String firstName, String lastName, String company, String position, String password) {
        super(email, firstName, lastName, company, position);
        this.password = password;
    }

    public String getPassword() {
        return password;
    }

}
